=== debian/changelog ===
opal (3.10.10~dfsg2-2) unstable; urgency=low

  * Fix FTBFS with upcoming ffmpeg 2.9, patch from A. Cadhalpun (Closes:
    #803846).

 -- Eugen Dedu <eugen.dedu@univ-fcomte.fr>  Mon, 11 Jan 2016 15:51:57 +0100

opal (3.10.10~dfsg2-1) unstable; urgency=low

  * Remove one non free document (RFC) from source package.
  * Remove now useless DM-Upload-Allowed from debian/control.
  * Print complete compilation lines during building.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Mon, 27 Oct 2014 05:51:57 +0200

opal (3.10.10~dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libav10.patch to fix FTBFS with Libav10 (Closes: #739439)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 May 2014 15:51:57 -0400
